Menu

## Main
in package

Main.php : 44

Main execution class for the daenerys tool.

### Table of Contents

$application : Application
$bootstrap : Bootstrap
$game : Game
__construct() : mixed
  Construct a new daenerys tool instance.
run() : mixed
  Run the Daenerys tool.
addCommands() : mixed
  Add supported commands, including those configured from lotgd.yml files.

### Properties

#### $application

Main.php : 46
`private Application $application`

#### $bootstrap

Main.php : 47
`private Bootstrap $bootstrap`

#### $game

Main.php : 48
`private Game $game`

### Methods

#### __construct()

Main.php : 53

Construct a new daenerys tool instance.

`public __construct() : mixed`

##### Return values

mixed —

#### run()

Main.php : 117

Run the Daenerys tool.

`public run() : mixed`

##### Return values

mixed —

#### addCommands()

Main.php : 64

Add supported commands, including those configured from lotgd.yml files.

`protected addCommands() : mixed`

##### Return values

mixed —

## Search results